require 'rails_helper'
require 'json'
require 'csv'

module Hermes
    RSpec.describe Hermes::AdminThresholdsController, type: :controller do
        routes { Hermes::Engine.routes }


        describe "index" do
            let(:user) { create :user, roles: ['Administrator'] }

            before do                
                sign_in user
                get('index')
            end

            it 'renders index view' do
                expect(response).to render_template(:index)  
            end
        end 

        describe "testing file download" do
            let(:user) { create :user, roles: ['Administrator'] }

            before do
                sign_in user
                get('download_csv')
            end

            it "does download" do
                expect(response.header["Content-Type"]).to eq "application/csv"
            end
        end 
    end 
end 
